main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('formkegiatan', views.form_kegiatan, name='kegiatan'),
    path('halamankegiatan', views.halamankegiatan, name='utama'),
    path('tambahanggota/<int:id>', views.form_peserta, name='psrt')
]

project_story6/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
]

main/models.py
from django.db import models
from django.utils import timezone
from datetime import datetime, date

# Create your models here.
class kegiatan(models.Model):
    tambahkegiatan = models.CharField(max_length = 200)

    def __str__(self):
        return "{}".format(self.tambahkegiatan)

class peserta(models.Model):
    activity = models.ForeignKey(kegiatan, on_delete=models.CASCADE, related_name='anggota')
    pesertanya = models.CharField(max_length=100)

    def __str__(self):
        return "{:s}".format(self.pesertanya)

class Post(models.Model):
    author = models.ForeignKey(kegiatan, on_delete = models.CASCADE)
    content = models.CharField(max_length=500)
    published_date = models.DateTimeField(default=timezone.now)

main/forms.py
from django.forms import ModelForm
from .models import kegiatan, peserta

class KegiatanForm(ModelForm):
    class Meta:
        model = kegiatan
        fields = '__all__'

class PesertaForm(ModelForm):
    class Meta:
        model = peserta
        fields = '__all__' 

main/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponseRedirect
from .forms import KegiatanForm, PesertaForm
from .models import kegiatan, peserta



def home(request):
    return render(request, 'main/home.html')

def form_kegiatan(request):
    tambah = KegiatanForm(request.POST)
    response = {
        "tambah_kegiatan" : KegiatanForm,
    }
    print(tambah.is_valid())
    if(tambah.is_valid() and request.method == 'POST'):
        tambah.save()
        return HttpResponseRedirect('/halamankegiatan')
    return render(request, 'main/menambahkegiatan.html', response)

def halamankegiatan(request):
    tambah = KegiatanForm(request.POST)
    response = {
        "act" : kegiatan.objects.all(),
        "anggotanya" : PesertaForm,
    }
    return render(request, 'main/PageKegiatan.html', response)

def form_peserta(request, id=None):
    tambah = PesertaForm(request.POST)
    kegiatann = kegiatan.objects.get(id=id)
    print(tambah.is_valid())
    if(request.method == 'POST'):
        nama = tambah["pesertanya"].value()
        anggt = peserta(activity=kegiatann, pesertanya=nama)
        anggt.save()
    return HttpResponseRedirect('/halamankegiatan')

main/templates/main/PageKegiatan.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Rifanti Putri Tallisha</title>
        <link rel="stylesheet" href="{% static 'CSSstory6.css' %}">
        <link href="https://fonts.googleapis.com/css2?family=Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    </head>
    <body>
        <h1>List Kegiatan dan Peserta</h1>
        {% if act %}
        {% for kegiatan in act %}
        <div class="card text-center">
            <div class="card-header">
                <h3>{{ kegiatan.tambahkegiatan }}</h3>
            </div>
            <div class="card-body">
                {% for name in kegiatan.anggota.all %}
                <h5 class="card-title">Nama Peserta</h5>
                <p class="card-text">Test</p>
                {% endfor %}
                <div class="form-group mx-auto" style="text-align: center; width: 30%;">
                    <form action="{% url 'main:psrt' kegiatan.id %}" method="POST">
                        {% csrf_token %}
                        {{anggotanya.pesertanya}}<br>
                        <button type="submit" class="btn btn-primary" style="text-align: center;">Tambah Peserta</button>
                    </form>
                </div>
            </div>
        </div>
        {% endfor %}
        {% endif %}
        <a href="{% url 'main:kegiatan' %}"><button type="button" class="btn btn-primary">Add Kegiatan</button></a>
    </body>
</html>

main/templates/main/home.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}

{% block content %}
  <h1>Hello, world!</h1>
  <p><img src="{% static 'img/django-logo-negative.svg' %}"></p>
{% endblock content %}

main/templates/main/menambahkegiatan.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Rifanti Putri Tallisha</title>
        <link rel="stylesheet" href="{% static 'CSSstory6.css' %}">
        <link href="https://fonts.googleapis.com/css2?family=Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">

    </head>
    <section>
        <div class="card text-center">
            <div class="card-body">
                <h5 class="card-title">Tambah Kegiatan</h5>
                <div class="form-group mx-auto" style="text-align: center; width: 30%;">
                    <form action="" method="POST">
                        {% csrf_token %}
                        {{ tambah_kegiatan.tambahkegiatan }}<br>
                        <button type="submit" class="btn btn-primary" style="text-align: center;">Submit</button>
                    </form>
                </div>
            </div>
        </div>
    </section>
</html>

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  {% block meta %}
  {% endblock meta %}
</head>

<body>
  {% block content %}
  {% endblock content %}
</body>

</html>